LAT_FCNTL(8)

NAME
lat_fcntl - fcntl file locking benchmark

SYNOPSIS
lat_ctx [ -P <parallelism> ] [ -W <warmups> ] [ -N <repetitions> ]

DESCRIPTION
lat_fcntl is a client/server program that measures file locking latencies. The benchmark alternately locks and unlocks files so that only one of the client or server is running at a time, similar to ``hot potato'' message passing benchmarks. No other work is done in the processes.

ACKNOWLEDGEMENT
Funding for the development of this tool was provided by Sun Microsystems Computer Corporation.

SEE ALSO
lmbench(8), lat_fifo(8), lat_tcp(8), lat_udp(8), lat_unix(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.